#
# Conditional build:
%bcond_with	libsoup3	# libsoup3 instead of libsoup 2
%bcond_without	apidocs		# API documentation
%bcond_without	vala		# Vala API

Summary:	Framework for access to sources of multimedia content
Summary(pl.UTF-8):	Szkielet dostępu do źródeł treści multimedialnych
Name:		grilo
Version:	0.3.15
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/grilo/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	df4e68e2bba461f0aed61874d8e4e05a
URL:		https://wiki.gnome.org/Projects/Grilo
BuildRequires:	glib2-devel >= 1:2.66
BuildRequires:	gobject-introspection-devel >= 0.9
BuildRequires:	gtk+3-devel >= 3.14
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	liboauth-devel
%if %{with libsoup3}
BuildRequires:	libsoup3-devel >= 3.0
%else
BuildRequires:	libsoup-devel >= 2.42.0
%endif
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	totem-pl-parser-devel >= 3.4.1
%{?with_vala:BuildRequires:	vala >= 2:0.27.0}
BuildRequires:	xz
Requires:	glib2 >= 1:2.66
Requires:	gtk+3 >= 3.14
%if %{with libsoup3}
Requires:	libsoup3 >= 3.0
%else
Requires:	libsoup >= 2.42.0
%endif
Requires:	totem-pl-parser >= 3.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grilo is a framework that provides access to various sources of
multimedia content, using a pluggable system.

%description -l pl.UTF-8
Grilo to szkielet zapewniający dostęp do różnych źródeł treści
multimedialnych przy użyciu systemu wtyczek.

%package devel
Summary:	Header files for grilo libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek grilo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.66
Requires:	libxml2-devel >= 2.0
Obsoletes:	grilo-static < 0.3.7

%description devel
Header files for grilo libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek grilo.

%package apidocs
Summary:	grilo API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek grilo
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API and internal documentation for grilo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki grilo.

%package -n vala-grilo
Summary:	Vala API for grilo libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek grilo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0
BuildArch:	noarch

%description -n vala-grilo
Vala API for grilo libraries.

%description -n vala-grilo -l pl.UTF-8
API języka Vala do bibliotek grilo.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Denable-gtk-doc=true} \
	%{?without_vala:-Denable-vala=false} \
	%{!?with_libsoup3:-Dsoup3=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/grilo-test-ui-0.3
%attr(755,root,root) %{_bindir}/grl-inspect-0.3
%attr(755,root,root) %{_bindir}/grl-launch-0.3
%attr(755,root,root) %{_libdir}/libgrilo-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrilo-0.3.so.0
%attr(755,root,root) %{_libdir}/libgrlnet-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrlnet-0.3.so.0
%attr(755,root,root) %{_libdir}/libgrlpls-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrlpls-0.3.so.0
%{_libdir}/girepository-1.0/Grl-0.3.typelib
%{_libdir}/girepository-1.0/GrlNet-0.3.typelib
%{_libdir}/girepository-1.0/GrlPls-0.3.typelib
%{_mandir}/man1/grilo-test-ui-0.3.1*
%{_mandir}/man1/grl-inspect-0.3.1*
%{_mandir}/man1/grl-launch-0.3.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgrilo-0.3.so
%attr(755,root,root) %{_libdir}/libgrlnet-0.3.so
%attr(755,root,root) %{_libdir}/libgrlpls-0.3.so
%{_includedir}/grilo-0.3
%{_pkgconfigdir}/grilo-0.3.pc
%{_pkgconfigdir}/grilo-net-0.3.pc
%{_pkgconfigdir}/grilo-pls-0.3.pc
%{_datadir}/gir-1.0/Grl-0.3.gir
%{_datadir}/gir-1.0/GrlNet-0.3.gir
%{_datadir}/gir-1.0/GrlPls-0.3.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/grilo
%endif

%if %{with vala}
%files -n vala-grilo
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/grilo-0.3.deps
%{_datadir}/vala/vapi/grilo-0.3.vapi
%{_datadir}/vala/vapi/grilo-net-0.3.deps
%{_datadir}/vala/vapi/grilo-net-0.3.vapi
%endif
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grilo.git;a=log;h=master

* Wed Aug 17 2022 Jakub Bogusz <qboosh@pld-linux.org> c5f14dd
- updated to 0.3.15

* Tue Oct 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 4c96816
- updated to 0.3.14 (fixes CVE-2016-20011)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> bbc2c09
- unconditional noarch subpackages

* Fri Sep 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 96bfb5e
- updated to 0.3.13

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 52e4c19
- updated to 0.3.12

* Fri Jan 10 2020 Jakub Bogusz <qboosh@pld-linux.org> a74e4d7
- updated to 0.3.11

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 878d3fa
- updated to 0.3.10

* Wed Jul 24 2019 Jakub Bogusz <qboosh@pld-linux.org> a91e385
- updated to 0.3.9

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> a513099
- updated URL

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> eb9d909
- Obsoletes for -static

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> e4077c5
- updated dependencies after switching to meson

* Wed Jan 30 2019 Jan Rękorajski <baggins@pld-linux.org> ac11e11
- release 2 (by relup.sh)

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> e66622c
- Updated to 0.3.7

* Sun Mar 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 05826d7
- Update to 0.3.4

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 9c54a2d
- updated to 0.3.3

* Sat Jan 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 9a4533e
- updated to 0.3.2

* Fri Jun 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ed35f17
- Update to 0.3.1

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 8ade561
- noarch vala subpackage

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f76d548
- Update to 0.3.0

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 5acb97c
- updated to 0.2.15

